var map = new GMap(document.getElementById("map"));
map.addControl(new GLargeMapControl());
map.addControl(new GMapTypeControl());
map.centerAndZoom(new GPoint(139.770491,35.677884), 11);

var icon = new GIcon();
icon.shadow = "/image/marker/shadow.png";
icon.iconSize = new GSize(20, 34);
icon.shadowSize = new GSize(37, 34);
icon.iconAnchor = new GPoint(9, 34);
icon.infoWindowAnchor = new GPoint(9, 2);
icon.infoShadowAnchor = new GPoint(18, 25);

function createMarker(point, text, type) {

if(type == "PODCAST"){ icon.image = "/image/marker/marker1.png"; }
if(type == "EVENT"){ icon.image = "/image/marker/marker2.png"; }
if(type == "PHOTO"){ icon.image = "/image/marker/marker3.png"; }
if(type == "NEWS"){ icon.image = "/image/marker/marker4.png"; }
if(type == "DIARY"){ icon.image = "/image/marker/marker5.png"; }

var marker = new GMarker(point, icon);
var html = "<div class=\"info\">" + text + "</div>";
GEvent.addListener(marker, "click", function() {
marker.openInfoWindowHtml(html);
});

return marker;
}

var request = GXmlHttp.create();
request.open("GET", "mark.xml", true);
request.onreadystatechange = function() {
if (request.readyState == 4) {
var xmlDoc = request.responseXML;
var markers = xmlDoc.documentElement.getElementsByTagName("marker");
for (var i = 0; i < markers.length; i++) {
var point = new GPoint(parseFloat(markers[i].getAttribute("lng")),parseFloat(markers[i].getAttribute("lat")));
var marker = createMarker(point, markers[i].firstChild.nodeValue, markers[i].getAttribute("type") );
map.addOverlay(marker);
}
}
}
request.send(null);
